Subject: Re: ssh does not find the config file?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 20 Aug 2003 12:07:30 -0700

Bursian Achim wrote:
> 
> Hi,
> I encounter strange things with ssh. I have a configfile under
> $HOME/.ssh:
> 
> -rw-------    1 BA3759       1.1k Aug 20 17:34 config
> -rw-------    1 BA3759        887 Aug 20 17:00 id_rsa
> 
> It contains lines like this:
> 
> host utah
>    User abu
>    IdentityFile   /home/.ssh/id_rsa
> 
> Using 'ssh utah' does not work, I get prompted for the password for
> BA3759@utah. But strange enough, 'ssh -F $HOME/.ssh/config utah' does
> work. $HOME/.ssh/config should be the default for the config file, but
> obviousely it isn't???

You shouldn't have to specify IdentityFile in the config, since
$HOME/.ssh/id_rsa is the default (and the path /home/.ssh you have above
probably doesn't exist, unless your home directory is really /home/.)

Also, why don't you have a id_rsa.pub file?  When you created the public
key you should have created a pair of keys, the public id_rsa.pub (which
you added to ~/.ssh/authorized_keys on the remote host, yes?) and the
private id_rsa.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/